/*
 * Copyright 2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* $Id$ */

package org.xml.graphics.print;

import javax.print.Doc;
import javax.print.attribute.DocAttributeSet;

import org.xml.graphics.XGResult;

/**
 * XGResult implementation that prints to a JPS DocPrintJob.
 * 
 * @author Jeremias Maerki
 */
public class DocXGResult extends XGResult {

    /**
     * If {@link org.xml.graphics.XGProcessorFactory#getFeature}
     * returns true when passed this value as an argument,
     * the XGProcessor supports Result output of this type.
     */
    public static final String FEATURE =
        "http://" + DocXGResult.class.getName() + "/feature";
    
    private Doc doc;
    private DocAttributeSet docAttributes;
    
    public DocXGResult(DocAttributeSet docAttributes) {
        this.docAttributes = docAttributes;
    }

    public void setDoc(Doc doc) {
        this.doc = doc;
    }
    
    public Doc getDoc() {
        return this.doc;
    }

    public DocAttributeSet getDocAttributes() {
        return this.docAttributes;
    }
    
}
