/*
 * Copyright 2004-2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.xml.graphics;

import java.util.EventListener;

/**
 * <p>This interface is used by implementations to report any events happening
 * during FO processing. Implementations are not required to generate events
 * through this interface.
 * </p>
 * <p><b>NOTE: This here is just an idea. Work in progress...</b>
 * </p> 
 * 
 * @author Jeremias Maerki
 */
public interface XGEventListener extends EventListener {

    void error(XGException e);
    void warning(XGException e);
    void notification(XGEvent event);
    void layoutProblem(XGEvent event);
    
}
