/*
 * Copyright 2004-2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.xml.graphics;

import javax.xml.transform.SourceLocator;
import javax.xml.transform.TransformerException;

/**
 * Basic JAXG exception.
 * 
 * @author Jeremias Maerki
 */
public class XGException extends TransformerException {

    public XGException(String message) {
        super(message);
    }

    public XGException(String message, Throwable e) {
        super(message, e);
    }

    public XGException(String message, SourceLocator locator) {
        super(message, locator);
    }

    public XGException(String message, SourceLocator locator, Throwable e) {
        super(message, locator, e);
    }

    public XGException(Throwable e) {
        super(e);
    }
}
