/*
 * Copyright 2004-2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.xml.graphics;

import javax.xml.transform.TransformerFactoryConfigurationError;

/**
 * Thrown when a problem with configuration with the XGProcessor Factories
 * exists. This error will typically be thrown when the class of a
 * XGProcessor factory specified in the system properties cannot be found
 * or instantiated.
 */
public class XGProcessorFactoryConfigurationError extends TransformerFactoryConfigurationError {

    public XGProcessorFactoryConfigurationError() {
        super();
    }

    public XGProcessorFactoryConfigurationError(Exception e) {
        super(e);
    }

    public XGProcessorFactoryConfigurationError(Exception e, String msg) {
        super(e, msg);
    }

    public XGProcessorFactoryConfigurationError(String msg) {
        super(msg);
    }
    
}
