/*
 * Copyright 2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.xml.graphics.helpers;

/**
 * Frequently used MIME types for various file formats used with JAXG.
 * 
 * @author Jeremias Maerki
 */
public interface MimeConstants {

    final static String MIME_PDF        = "application/pdf";
    
    final static String MIME_POSTSCRIPT = "application/postscript";
    final static String MIME_PS         = MIME_POSTSCRIPT;
    final static String MIME_EPS        = MIME_POSTSCRIPT;
    
    final static String MIME_PCL        = "application/x-pcl";
    final static String MIME_PCL_ALT    = "application/vnd.hp-PCL";
    
    final static String MIME_PLAIN_TEXT = "text/plain";
    
    final static String MIME_RTF        = "application/rtf";
    final static String MIME_RTF_ALT1   = "text/richtext";
    final static String MIME_RTF_ALT2   = "text/rtf";
    
    final static String MIME_MIF        = "application/mif";
    
    final static String MIME_SVG        = "image/svg+xml";
    
    final static String MIME_PNG        = "image/png";
    final static String MIME_JPEG       = "image/jpeg";
    final static String MIME_TIFF       = "image/tiff";
       
    
}
