/*
 * Copyright 2004-2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maerki.jaxg.fop.head;

/**
 * Constants for the Apache FOP implementation.
 * 
 * @author Jeremias Maerki
 */
public interface Constants {

    /**
     * String, File or URL specifying the base URL for resolving relative
     * URLs.
     */
    final String ATTR_BASE_URL = "baseURL";
    
    /** Resolution in dpi (dots per inch) of the generated file. */
    final String ATTR_RESOLUTION = "resolution";
    
    /** Boolean value controlling strict vs. relaxed validation of XSL-FO. */
    final String ATTR_STRICT_VALIDATION = "strict-validation";

    /** The userconfig.xml as a filename or an Avalon Configuration object */
    final String ATTR_USERCONFIG = "userconfig";

    /** Avalon Configuration object to configure a FOP Renderer instance. */
    final String OUT_PROP_AVALON_CONFIG = "avalon-config";
    
}
