/*
 * Copyright 2004-2005 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maerki.jaxg.jfor;

import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.sax.SAXResult;

import org.xml.graphics.XGException;
import org.xml.graphics.XGResult;
import org.xml.graphics.helpers.AbstractXGProcessor;

/**
 * XGProcessor implementation for JFOR.
 * 
 * @author Jeremias Maerki
 */
public class JforXGProcessor extends AbstractXGProcessor {

    public void process(Source source, XGResult result)
            throws XGException {
        try {
            TransformerFactory factory = TransformerFactory.newInstance();
            Transformer transformer = factory.newTransformer();
            
            JforXGProcessorHandler handler = new JforXGProcessorHandler();
            handler.setResult(result);
            SAXResult saxresult = new SAXResult(handler);
            
            transformer.transform(source, saxresult);
        } catch (TransformerException te) {
            throw new XGException(te);
        }
    }

}
