/*
 * Copyright 2004-200 Jeremias Maerki
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.xml.graphics.test;

import java.io.File;

import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamSource;

import org.xml.graphics.XGResult;
import org.xml.graphics.XGProcessor;
import org.xml.graphics.XGProcessorFactory;
import org.xml.graphics.stream.StreamXGResult;

import junit.framework.TestCase;

/**
 * @author Jeremias Maerki
 */
public class DefaultFactoryTest extends TestCase {

    public void testSimpleRun() throws Exception {
        XGProcessorFactory factory = XGProcessorFactory.newInstance();
        XGProcessor processor = factory.newXGProcessor();
        
        File basedir = new File(".");
        new File(basedir, "build/test").mkdirs();
        Source src = new StreamSource(new File(basedir, "core/test/xml/helloworld.fo"));
        XGResult xgResult = new StreamXGResult("application/pdf", 
                new File(basedir, "build/test/out.pdf"));
        
        processor.process(src, xgResult);
    }
    
}
